﻿using DevExpress.XtraGrid;
using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Registrator;

namespace TestProject
{
    /// <summary>
    /// DS 밴드 그리드 뷰 정보 등록자
    /// </summary>
    public class DSBandedGridViewInfoRegistrator : BandedGridInfoRegistrator
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 뷰 명칭 - ViewName

        /// <summary>
        /// 뷰 명칭
        /// </summary>
        public override string ViewName
        {
            get
            {
                return "DSBandedGridView";
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 뷰 생성하기 - CreateView(gridControl)
        
        /// <summary>
        /// 뷰 생성하기
        /// </summary>
        /// <param name="gridControl">그리드 컨트롤</param>
        /// <returns>베이스 뷰</returns>
        public override BaseView CreateView(GridControl gridControl)
        {
            return new DSBandedGridView(gridControl as GridControl);
        }

        #endregion
        #region 페인터 생성하기 - CreatePainter(baseView)

        /// <summary>
        /// 페인터 생성하기
        /// </summary>
        /// <param name="baseView">베이스 뷰</param>
        /// <returns>베이스 뷰 페인터</returns>
        public override BaseViewPainter CreatePainter(BaseView baseView)
        {
            return new DSBandedGridPainter(baseView as DSBandedGridView);
        }

        #endregion
    }
}