﻿using System;

using DevExpress.Utils.Serializing;
using DevExpress.XtraGrid.Columns;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 컬럼
    /// </summary>
    public class DSGridColumn : GridColumn
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 커스텀 데이터
        /// </summary>
        private string customData = string.Empty;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 커스텀 데이터 - CustomData

        /// <summary>
        /// 커스텀 데이터
        /// </summary>
        [XtraSerializableProperty()]
        public string CustomData
        {
            get
            {
                return this.customData;
            }
            set
            {
                this.customData = value;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DSGridColumn()

        /// <summary>
        /// 생성자
        /// </summary>
        public DSGridColumn()
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 할당하기 - Assign(gridColumn)

        /// <summary>
        /// 할당하기
        /// </summary>
        /// <param name="gridColumn">그리드 컬럼</param>
        protected override void Assign(GridColumn gridColumn)
        {
            base.Assign(gridColumn);

            if(gridColumn is DSGridColumn)
            {
                CustomData = (gridColumn as DSGridColumn).CustomData;
            }
        }

        #endregion
    }
}