﻿using System;

using DevExpress.XtraGrid.Columns;
using DevExpress.XtraGrid.Views.Base;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 컬럼 컬렉션
    /// </summary>
    public class DSGridColumnCollection : GridColumnCollection
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DSGridColumnCollection(columnView)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="columnView">컬럼 뷰</param>
        public DSGridColumnCollection(ColumnView columnView) : base(columnView)
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 컬럼 생성하기 - CreateColumn()

        /// <summary>
        /// 컬럼 생성하기
        /// </summary>
        /// <returns>그리드 컬럼</returns>
        protected override GridColumn CreateColumn()
        {
            return new DSGridColumn();
        }

        #endregion
    }
}