﻿using DevExpress.XtraGrid;
using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Registrator;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 컨트롤
    /// </summary>
    public class DSGridControl : GridControl
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 디폴트 뷰 생성하기 - CreateDefaultView()

        /// <summary>
        /// 디폴트 뷰 생성하기
        /// </summary>
        /// <returns>베이스 뷰</returns>
        protected override BaseView CreateDefaultView()
        {
            return CreateView("DSGridView");
        }

        #endregion
        #region 이용 가능한 뷰 코어 등록하기 - RegisterAvailableViewsCore(infoCollection)

        /// <summary>
        /// 이용 가능한 뷰 코어 등록하기
        /// </summary>
        /// <param name="infoCollection">정보 컬렉션</param>
        protected override void RegisterAvailableViewsCore(InfoCollection infoCollection)
        {
            base.RegisterAvailableViewsCore(infoCollection);

            infoCollection.Add(new DSGridViewInfoRegistrator());
			infoCollection.Add(new DSBandedGridViewInfoRegistrator());
        }

        #endregion
    }
}