﻿using System.Windows.Forms;

using DevExpress.XtraGrid.Views.Grid;
using DevExpress.XtraGrid.Views.Grid.Handler;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 핸들러
    /// </summary>
    public class DSGridHandler : GridHandler
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DSGridHandler(gridView)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="gridView">그리드 뷰</param>
        public DSGridHandler(GridView gridView) : base(gridView)
        {
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected
        //////////////////////////////////////////////////////////////////////////////// Function

        #region 키 다운시 처리하기 - OnKeyDown(e)

        /// <summary>
        /// 키 다운시 처리하기
        /// </summary>
        /// <param name="e">이벤트 인자</param>
        protected override void OnKeyDown(KeyEventArgs e)
        {
            base.OnKeyDown(e);

            if(e.KeyData == Keys.Delete && View.State == GridState.Normal)
            {
                View.DeleteRow(View.FocusedRowHandle);
            }
        }

        #endregion
    }
}