﻿using DevExpress.XtraGrid;
using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Views.Base.Handler;
using DevExpress.XtraGrid.Views.Base.ViewInfo;
using DevExpress.XtraGrid.Registrator;

namespace TestProject
{
    /// <summary>
    /// DS 그리드 뷰 정보 등록자
    /// </summary>
    public class DSGridViewInfoRegistrator : GridInfoRegistrator
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 뷰 명칭 - ViewName

        /// <summary>
        /// 뷰 명칭
        /// </summary>
        public override string ViewName
        {
            get
            {
                return "DSGridView";
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 뷰 생성하기 - CreateView(gridControl)

        /// <summary>
        /// 뷰 생성하기
        /// </summary>
        /// <param name="gridControl">그리드 컨트롤</param>
        /// <returns>베이스 뷰</returns>
        public override BaseView CreateView(GridControl gridControl)
        {
            return new DSGridView(gridControl as GridControl);
        }

        #endregion
        #region 페인터 생성하기 - CreatePainter(baseView)

        /// <summary>
        /// 페인터 생성하기
        /// </summary>
        /// <param name="baseView">베이스 뷰</param>
        /// <returns>베이스 뷰 페인터</returns>
		public override BaseViewPainter CreatePainter(BaseView baseView)
        {
            return new DSGridPainter(baseView as DSGridView);
        }

        #endregion
        #region 뷰 정보 생성하기 - CreateViewInfo(baseView)

        /// <summary>
        /// 뷰 정보 생성하기
        /// </summary>
        /// <param name="baseView">베이스 뷰</param>
        /// <returns>베이스 뷰 정보</returns>
        public override BaseViewInfo CreateViewInfo(BaseView baseView)
        {
            return new DSGridViewInfo(baseView as DSGridView);
        }

        #endregion
        #region 핸들러 생성하기 - CreateHandler(baseView)

        /// <summary>
        /// 핸들러 생성하기
        /// </summary>
        /// <param name="baseView">베이스 뷰</param>
        /// <returns>베이스 뷰 핸들러</returns>
        public override BaseViewHandler CreateHandler(BaseView baseView)
        {
            return new DSGridHandler(baseView as DSGridView);
        }

        #endregion
    }
}