﻿using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.Appearance.HeaderPanel.Font = new Font("나눔고딕코딩", 12f);
            this.gridView.Appearance.Row.Font         = new Font("나눔고딕코딩", 12f);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.gridControl.DataSource = GetList();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 리스트 구하기 - GetList()

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <returns>데이터 테이블</returns>
        private DataTable GetList()
        {
            DataTable table = new DataTable();

            table.Columns.Add("a", typeof(string));
            table.Columns.Add("b", typeof(string));

            DataRow row;

            row = table.NewRow();

            row["a"] = "1";
            row["b"] = "2";

            table.Rows.Add(row);

            row = table.NewRow();

            row["a"] = "3";
            row["b"] = "4";

            table.Rows.Add(row);

            return table;
        }

        #endregion
    }
}